Offers

Record Earnest Money Deposit Activity For An Offer

POSThttps://api.getcovent.com/api/v1/offers/{id}/deposit-emd

Record earnest money deposit activity for an offer.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X POST "https://api.getcovent.com/api/v1/offers/{id}/deposit-emd" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 5000,
  "received_at": "2026-04-18T15:30:00Z",
  "notes": "Wired to title company."
}'

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json
Content-TypestringRequired

JSON request body header.

Example: application/json

idstringRequired

id path parameter.

Example: <id>

amountnumberRequired

amount request field.

Example: 5000
received_atstringRequired

received_at request field.

Example: 2026-04-18T15:30:00Z
notesstringRequired

notes request field.

Example: Wired to title company.

Response

200application/json

idstringRequired

id response field.

Example: off_123
statusstringRequired

status response field.

Example: accepted
emd_statusstringRequired

emd_status response field.

Example: received
updated_atstringRequired

updated_at response field.

Example: 2026-04-18T15:30:00Z

Response Example

{
  "id": "off_123",
  "status": "accepted",
  "emd_status": "received",
  "updated_at": "2026-04-18T15:30:00Z"
}